Our support hours are 24 hours a day, 7 days a week
  www.qorusdocs.com

Follow

Computer and Office 365 Requirements for Qorus

You should be ready to use Qorus if you have the following in place:

  • Any of the Office 365 plans that include SharePoint Online and/or OneDrive for Business
  • Desktop installations of one or more of the following Office 365 apps (minimum build required: 16.0.6965.x or 6965.x, or higher)
    • Word 2016, to use the Qorus Document Builder Add-in for Word
    • Outlook 2016, to use the Qorus Email Builder Add-in for Outlook
    • PowerPoint 2016, to use the Qorus Slide Builder Add-in for PowerPoint
  • Windows 8.1 or higher

Please note that you will need local admin privileges on your machine to install Office 365 / 2016. If you need to speak with your IT about your Office 365 installation, here's a great article that sums up the different ways in which your IT can deploy Office 365 in your organisation.

Additional Helpful Resources from support.office.com: 

  • Browser*
    • Internet Explorer 11

*For the Qorus Productivity add-ins to display in Office correctly, you'll need to have at least Internet Explorer 11 installed. It does not need to be your default browser however. Qorus customers on the Author Plan can access and work with the Qorus Management Portal using any of these browsers: Edge, Chrome, Firefox, or Internet Explorer.  

 

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk